package com.sun.corba.se.impl.protocol;

import com.sun.corba.se.spi.oa.OAInvocationInfo;
import org.omg.CORBA.portable.ServantObject;
import org.omg.CORBA.Object;
import com.sun.corba.se.spi.ior.IOR;
import com.sun.corba.se.spi.orb.ORB;

public class MinimalServantCacheLocalCRDImpl extends ServantCacheLocalCRDBase
{
    public MinimalServantCacheLocalCRDImpl(ORB orb, int n, IOR ior) {
        super(orb, n, ior);
    }
    
    public ServantObject servant_preinvoke(org.omg.CORBA.Object object, String s, Class clazz) {
        OAInvocationInfo cachedInfo = this.getCachedInfo();
        if (this.checkForCompatibleServant(cachedInfo, clazz)) {
            return cachedInfo;
        }
        return null;
    }
    
    public void servant_postinvoke(org.omg.CORBA.Object object, ServantObject servantObject) {
    }
}
